Subject: Re: [PATCH V2 00/12] Add basic VLAN support to bridges

From: Vlad Yasevich <[email-masked]>
Date: Wed, 19 Dec 2012 12:11:45 -0500

On 12/19/2012 12:04 PM, Thomas Graf wrote:
> On 12/19/12 at 09:27am, Jiri Pirko wrote:
>> Tue, Dec 18, 2012 at 11:46:21PM CET, [email-masked] wrote:
>>> On 12/18/2012 05:32 PM, Jiri Pirko wrote:
>>>>
>>>>
>>>> I see that this patchset replicates a lot of code which is already
>>>> present in net/8021q/ or include/linux/if_vlan.h. I think it would
>>>> be nice to move this code into some "common" place, wouldn't it?
>>>>
>>>
>>> The only replication that I am aware of is in br_vlan_untag().  I
>>> thought about pulling that piece out, but I think there is a reason
>>> why it's not available when 801q support isn't turned on.  I noted that
>>> openvswitch implemented its own vlan header manipulation functions as well.
>>
>> openvswitch should use the "common" code as well.
>
> I was just about to mention this. This overlaps with openvswitch
> in functionality which I have absoluetely no objections against
> but code reuse should come to focus in order to avoid having to
> fix bugs twice.
>

Could we consolidate the code after this is accepted and all the parties
can agree on the consolidation?  I'd really like to keep this series
as minimally invasive as possible.

Thanks
-vlad